org.apache.commons.net.telnet

## Class SuppressGAOptionHandler

- java.lang.Object
- - org.apache.commons.net.telnet.TelnetOptionHandler
  - - org.apache.commons.net.telnet.SuppressGAOptionHandler

-     public class SuppressGAOptionHandler
      extends TelnetOptionHandler

  Implements the Telnet suppress go ahead option RFC 858.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SuppressGAOptionHandler()` Constructor for the SuppressGAOptionHandler.
    `SuppressGAOptionHandler(boolean initlocal, boolean initremote, boolean acceptlocal, boolean acceptremote)` Constructor for the SuppressGAOptionHandler.

  - ### Method Summary

    - ### Methods inherited from class org.apache.commons.net.telnet.TelnetOptionHandler

      `answerSubnegotiation, getAcceptLocal, getAcceptRemote, getDo, getInitLocal, getInitRemote, getOptionCode, getWill, setAcceptLocal, setAcceptRemote, setDo, setInitLocal, setInitRemote, setWill, startSubnegotiationLocal, startSubnegotiationRemote`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SuppressGAOptionHandler

          public SuppressGAOptionHandler()

      Constructor for the SuppressGAOptionHandler. Initial and accept behavior flags are set to false

    - #### SuppressGAOptionHandler

          public SuppressGAOptionHandler(boolean initlocal,
                                         boolean initremote,
                                         boolean acceptlocal,
                                         boolean acceptremote)

      Constructor for the SuppressGAOptionHandler. Allows defining desired initial setting for local/remote activation of this option and behavior in case a local/remote activation request for this option is received.
      Parameters:
        `initlocal` - if set to true, a WILL is sent upon connection.
        `initremote` - if set to true, a DO is sent upon connection.
        `acceptlocal` - if set to true, any DO request is accepted.
        `acceptremote` - if set to true, any WILL request is accepted.